from typing import Optional
from datetime import datetime
from sqlmodel import Field, SQLModel
# 定义DeviceConfig模型类

class DeviceConfigTabs(SQLModel, table=True):
    __tablename__ = "device_config_tabs"
    id: Optional[int] = Field(default=None, primary_key=True)
    mode_name: Optional[str] = Field(default="执行左脚程序", index=True, max_length=128)
    mode_type: Optional[int] = Field(
        default=0, index=True, max_length=128, description="动作类型;0左脚;1右脚"
    )
